%global git_url https://github.com/konstantintutsch/%{name}
%global vendor  com.konstantintutsch.%{name}


Name:           Lock
Version:        1.6.1
Release:        0.1%{?dist}
Summary:        Process data with GnuPG

License:        MIT
URL:            https://konstantintutsch.com/%{name}/
Source0:        %{git_url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  blueprint-compiler
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  gettext
BuildRequires:  libappstream-glib
BuildRequires:  meson
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gpgme)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(libadwaita-1)

Requires:       hicolor-icon-theme


%description
Lock is a graphical front-end for GnuPG (GPG)
making use of a beautiful LibAdwaita GUI.

Process text and files:

 * Encryption
 * Decryption
 * Signing
 * Verification

Manage your GnuPG keyring:

 * Generate new key pairs
 * Import keys
 * Export public keys
 * View expire dates
 * Update expire dates of expired keys
 * Remove keys


%prep
%autosetup -p 1


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{vendor}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{vendor}.lang
%license LICENSE.txt
%doc README.md
%dir %{_datadir}/%{vendor}
%{_bindir}/%{vendor}
%{_datadir}/applications/%{vendor}.desktop
%{_datadir}/%{vendor}/%{vendor}.gresource
%{_datadir}/icons/hicolor/scalable/apps/%{vendor}.svg
%{_datadir}/icons/hicolor/symbolic/apps/%{vendor}-symbolic.svg
%{_metainfodir}/%{vendor}.metainfo.xml


%changelog
* Tue May 13 2025 Björn Esser <besser82@fedoraproject.org> - 1.6.1-0.1
- Update to v1.6.1

* Mon May 12 2025 Björn Esser <besser82@fedoraproject.org> - 1.6.0-0.1
- Initial spec file draft
